<?


/*

1 
2
4
8
16
32
64
128
256
512
1024

2048
4096
8196
16384
32768
65536
131072
262144
524288
1048576

*/


class Gen_str {

	public $symbol = '1'; // из чего будем генерировать

	function simple2($sizeBt) {
		Static $kb, $mb;

		if(empty($kb)) {
			// генерируем килобайт
			$kb= $this->symbol; 
			for($i = 1; $i <= 10; $i ++) {
				$kb .= $kb;
			}

			// генерируем мегабайт
			$mb = $kb; 
			for($i = 1; $i <= 10; $i ++) {
				$mb .= $mb;
			}
		}

		//если

	}


	// создает строку из единичек заданной длины в байтах
	// на выходе получается строка краткая килобайтам
	function simple($sizeBt, $check_kilobyte=true) {
		GLOBAL $log;
		if(!$sizeBt) { 
			throw new Error_def('sizeBt не указан');
		}

		if($check_kilobyte) {
			if(round_nobug($sizeBt / 1024) != $sizeBt / 1024) {
				throw new Error_def('размер должен быть кратным килобайту');
			}
		}

		//$log->line('Gen_str ' . $sizeBt);

		// генерируем килобайт
		$str= '1'; 
		for($i = 1; $i <= 10; $i ++) {
			$str .= $str;
		}
		$kb = $str;

		$sizeKb = round_nobug($sizeBt / 1024);

		// генерируем нужно кол-во килобайтов
		$str = '';
		for($i = 1; $i <= $sizeKb; $i ++) {
			$str .= $kb;
		}
		
		return $str;
	}
}


?>